---
#minio s3 clone
#https://docs.minio.io/docs/deploy-minio-on-docker-swarm
# DOCKER_HOST=dkhost:2376 docker-compose up -d
# DOCKER_HOST=dkhost:2376 docker stack deploy -c docker-compose.yml s3

version: '3.1'

services:
  minio1:
    image: minio/minio:RELEASE.2017-08-05T00-00-53Z
    volumes:
      - minio1-data:/export
    ports:
      - "9061:9000"
    networks:
      - minio_distributed
    deploy:
      restart_policy:
        delay: 10s
        max_attempts: 10
        window: 60s
    command: server http://s3_minio1/export
#    command: server http://minio1/export http://minio2/export http://minio3/export http://minio4/export
    secrets:
      - s3_secret_key
      - s3_access_key

#  minio2:
#    image: minio/minio:RELEASE.2017-08-05T00-00-53Z
#    volumes:
#      - minio2-data:/export
#    ports:
#      - "9062:9000"
#    networks:
#      - minio_distributed
#    deploy:
#      restart_policy:
#        delay: 10s
#        max_attempts: 10
#        window: 60s
#    command: server http://minio1/export http://minio2/export http://minio3/export http://minio4/export
#    secrets:
#      - s3_secret_key
#      - s3_access_key
#
#  minio3:
#    image: minio/minio:RELEASE.2017-08-05T00-00-53Z
#    volumes:
#      - minio3-data:/export
#    ports:
#      - "9063:9000"
#    networks:
#      - minio_distributed
#    deploy:
#      restart_policy:
#        delay: 10s
#        max_attempts: 10
#        window: 60s
#    command: server http://minio1/export http://minio2/export http://minio3/export http://minio4/export
#    secrets:
#      - s3_secret_key
#      - s3_access_key
#
#  minio4:
#    image: minio/minio:RELEASE.2017-08-05T00-00-53Z
#    volumes:
#      - minio4-data:/export
#    ports:
#      - "9064:9000"
#    networks:
#      - minio_distributed
#    deploy:
#      restart_policy:
#        delay: 10s
#        max_attempts: 10
#        window: 60s
#    command: server http://minio1/export http://minio2/export http://minio3/export http://minio4/export
#    secrets:
#      - s3_secret_key
#      - s3_access_key

volumes:
  minio1-data:

  minio2-data:

  minio3-data:

  minio4-data:

networks:
  minio_distributed:
    driver: overlay

secrets:
  s3_secret_key:
    external: true
  s3_access_key:
    external: true
